ROHTO BUGS - Bug #799

[ESS-PMS] Appraiser tidak terautoload pada employee tertentu.
01/27/2022 09:27 PM - Muhammad Bintar

Status: Closed Start date: 01/27/2022
Priority: Normal Due date: 01/28/2022
Assignee: Mr. Yusuf % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

dear tim developer mohon support nya untuk perbaikan pada ESS PMS Goal Setting dimana pada saat memilih Appraisal Period
tidak muncul nama appraiser nya, namun jika employee lain nama tersebut tampil.

sampel contoh employeeid 00000058

nnUva £ | aoal ol A IS MINOVE £3 [ uIganiian A | D) WINOVE €3 [ CHIPISYES A | D) MINOVE £3 [ Lawn A 1Z) munova £3 [JUn Laar A YL OuLronmaner aoEs. A | T - —

C A Notsecure | 192.168.3.105:31121/Page/WorkFlow?/EYGO2CEAgc= Q B « » a
JOHTO() S
N — g

My Workplace

[ My Report .
= Header
= Request
+ [= HR Administrati...
Appraisal Type: Notes:

(] Address 01 - Goal Setting

{] Communicat... Appraisal Period: G-01jan-31Des.

[] Education

] Family

[] Health Recaord

(] Language Skl Appraisal Date: =]

[ Personal ide..

{1 Reward S Appraiser

[ skin

[] Work Experi...

Appraisal ID | Appraiser.. | KPIWeight | Qualificati..

+ [= Performance M.

a 1 ThamMuk.. DirectSup.. 0 a

Goal Setting
{1 Review#

#1 - 01/27/2022 09:32 PM - Muhammad Bintar
- File clipboard-202201272130-uotlu.png added
- File clipboard-202201272131-0qdu9.png added
- Status changed from New to QA Test

- Assignee changed from Mr. Yusuf to Muhammad Bintar

update :
cek WFPMSDEFAULTAPPRG pada tabel CUSTPARAM

ubah Ivlacoount dari > menjadi >=
QualificationWeight 48 DECIMAL(18, 2),
Sequence_48 INT,

AppraisalType 48 WARCHAR(12),
EmployeelD 48 VARCHAR(B),
HeaderSeguence_48 INT

)

TN MLV Le S COue I =) CAST (@orglvl AS INT);
—WHILE @lwvlascount = @
ZIREGTN
= IF @iposhead IS NOT NULL

AND (@emphead IS MNULL
= BEGIN
= SET ([@emphead =

SELECT TOP (1)
EmployesID
FROM dbo.PHRPAGB55

tambahkan baris pada gambar di bawabh ini:

e Pt e
L
SELECT TOP (1)
EmployeeID
FROM dbo.PHRPAGAS5S
WHERE Position = (@poshead
AND StartDate <= (@now
4.E EndDate >= {@now
)
END;
- IF {poshead IS NOT MULL
AND {@emphead IS MNOT MULL

- CCULN
IF ([@dataseq = 3) BREAK;

= LRSCRT LHTU @LHUJ.I:‘HPV

SELECT '"App' + CAST(f@dataseq AS VARCHAR(4)) AS AppraiserNo_48,

{@emphead AS AppraisalD 48,
CASE

LIHER fAidat+=can — '1' THERK
LGE- -

artinya adalah jika data yang tampil pada query ini memiliki 3 sequence (dalam arti ini atasan), maka berhenti di sequence (atasan) ke 2 saja.

#2 - 01/27/2022 09:33 PM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to Mr. Yusuf
